<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>libmcrypt</ProjectName>
    <ProjectGuid>{BE2BD8F1-5943-4B2F-9494-6E00A32FBC4E}</ProjectGuid>
    <RootNamespace>libmcrypt</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.40219.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(Platform)\$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(Platform)\$(Configuration)\</IntDir>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>../../libs/libmcrypt-2.5.7/lib;../../libs/libmcrypt-2.5.7/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <OutputFile>../win32/bin/Debug/libmcrypt.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>../../libs/libmcrypt-2.5.7/lib;../../libs/libmcrypt-2.5.7/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WIN32;_WIN64;WIN64;WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <OutputFile>../win64/bin/Debug/libmcrypt.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>../../libs/libmcrypt-2.5.7/lib;../../libs/libmcrypt-2.5.7/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <OutputFile>../win32/bin/Release/libmcrypt.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>../../libs/libmcrypt-2.5.7/lib;../../libs/libmcrypt-2.5.7/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WIN32;_WIN64;WIN64;WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <OutputFile>../win64/bin/Release/libmcrypt.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\lib\bzero.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\lib\mcrypt.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_modules.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_threads.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\lib\win32_comp.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\lib\xmemory.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\3-way.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\arcfour.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\blowfish-compat.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\blowfish.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-128.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-256.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\des.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\enigma.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\gost.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\loki97.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\panama.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rc2.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael-128.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael-192.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael-256.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\safer128.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\safer64.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\saferplus.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\serpent.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\tripledes.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\twofish.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\wake.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\xtea.c" />
    <ClCompile Include="mcrypt_symb.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\cbc.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\cfb.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ctr.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ecb.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ncfb.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\nofb.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ofb.c" />
    <ClCompile Include="..\..\libs\libmcrypt-2.5.7\modules\modes\stream.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\bzero.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\libdefs.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\mcrypt.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_internal.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_modules.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\xmemory.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\3-way.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\arcfour.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\blowfish.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-128.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-128_sboxes.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-256.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\des.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\enigma.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\panama.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rc2.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\safer.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\saferplus.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\serpent.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\tripledes.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\twofish.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\wake.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\algorithms\xtea.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\lib\win32_comp.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\cbc.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\cfb.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ctr.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ecb.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ncfb.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\nofb.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\ofb.h" />
    <ClInclude Include="..\..\libs\libmcrypt-2.5.7\modules\modes\stream.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="ReadMe.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>